Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.ww2.actions.build.admin.config
Class ConfigureBuildPostAction

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.ww2.actions.build.admin.BuildConfigurationSupport
                  com.atlassian.bamboo.ww2.actions.build.admin.config.ConfigureBuildPostAction

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, BuildConfigurationAware, BypassValidationAware, ReturnUrlAware

    public class ConfigureBuildPostAction

extends BuildConfigurationSupport
implements BypassValidationAware

Field Summary
`static String` | `EMAIL_ADDRESSES`
`static String` | `EMAIL_ENABLED`

Fields inherited from class com.atlassian.bamboo.ww2.actions.build.admin.BuildConfigurationSupport
`BACK`

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`ConfigureBuildPostAction()`

Method Summary
`String` | `doCreate()`
`String` | `doDefault()`
`Collection` | `getAvailableGroups()`
`String` | `getBaseUrl()`
`List` | `getBuildCompleteActionsPluginHtmlList()`
`String` | `getBuildKey()`
`Collection` | `getEmailStrategies()`
`boolean` | `isEmailServerUnavailable()`
`boolean` | `isInstantMessengingServerUnavailable()`
`boolean` | `isValidationBypassed()`
`void` | `setAdministrationConfiguration(AdministrationConfiguration administrationConfiguration)`
`void` | `setBackButton(String backButton)`
`void` | `setBambooUserManager(BambooUserManager bambooUserManager)`
`void` | `setInstantMessagingServerManager(InstantMessagingServerManager instantMessagingServerManager)`
`void` | `setPluginManager(PluginManager pluginManager)`
`void` | `setTemplateRenderer(TemplateRenderer templateRenderer)`
`void` | `validate()`

Methods inherited from class com.atlassian.bamboo.ww2.actions.build.admin.BuildConfigurationSupport
`getBuildConfiguration, getBuildConfigurationAsXml, setBuildConfiguration, setBuildKey`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBamboo, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Field Detail

### EMAIL_ENABLED

    public static final String EMAIL_ENABLED

See Also:
  Constant Field Values

### EMAIL_ADDRESSES

    public static final String EMAIL_ADDRESSES

See Also:
  Constant Field Values

Constructor Detail

### ConfigureBuildPostAction

    public ConfigureBuildPostAction()

Method Detail

### doDefault

    public String doDefault()
                     throws Exception

  Overrides:
    `doDefault` in class `BambooActionSupport`
  Throws:
    `Exception`

### validate

    public void validate()

### doCreate

    public String doCreate()
                    throws Exception

  Throws:
    `Exception`

### getAvailableGroups

    public Collection getAvailableGroups()

### getEmailStrategies

    public Collection getEmailStrategies()

### isInstantMessengingServerUnavailable

    public boolean isInstantMessengingServerUnavailable()

### isEmailServerUnavailable

    public boolean isEmailServerUnavailable()

### getBaseUrl

    public String getBaseUrl()

### getBuildKey

    public String getBuildKey()

  Overrides:
    `getBuildKey` in class `BuildConfigurationSupport`

### getBuildCompleteActionsPluginHtmlList

    public List getBuildCompleteActionsPluginHtmlList()

### isValidationBypassed

    public boolean isValidationBypassed()

  Specified by:
    `isValidationBypassed` in interface `BypassValidationAware`

### setInstantMessagingServerManager

    public void setInstantMessagingServerManager(InstantMessagingServerManager instantMessagingServerManager)

### setAdministrationConfiguration

    public void setAdministrationConfiguration(AdministrationConfiguration administrationConfiguration)

### setBambooUserManager

    public void setBambooUserManager(BambooUserManager bambooUserManager)

### setPluginManager

    public void setPluginManager(PluginManager pluginManager)

### setTemplateRenderer

    public void setTemplateRenderer(TemplateRenderer templateRenderer)

### setBackButton

    public void setBackButton(String backButton)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.